<!-- -*-mode: xml-*- -->
<configuration>
  <options>
    <set name='cc'>gcc</set>
    <set name='cppflags'>-I/usr/pkg/include</set>
    <set name='cflags'>-O2 -I/usr/pkg/include</set>
    <set name='ldflags'>-L/usr/pkg/lib -Wl,-R/usr/pkg/lib</set>
    <set name='libs'>-L/usr/pkg/lib</set>

    <set name='libtool'>/usr/pkg/bin/libtool</set>
    <set name='libdir'>/usr/pkg/lib</set>

    <set name='install'>/usr/bin/install -c -o root -g wheel</set>
    <set name='installProgram'>/usr/bin/install -c -s -o root -g wheel -m 755</set>
    <set name='installData'>/usr/bin/install -c -o root -g wheel -m 644</set>
    <set name='uninstall'>rm -f</set>
    <set name='bindir'>/usr/pkg/bin</set>
    <set name='oocdir'>/usr/pkg/lib/oo2c</set>

    <set name='xsltproc'>/usr/pkg/bin/xsltproc</set>
  </options>

  <pragmas>
    <set name='Warnings'>TRUE</set>
    <set name='Assertions'>TRUE</set>
    
    <set name='IndexCheck'>TRUE</set>
    <set name='DerefCheck'>TRUE</set>
    <set name='OverflowCheck'>FALSE</set>  <!-- not supported -->
    <set name='CaseSelectCheck'>TRUE</set>
    <set name='FunctResult'>TRUE</set>
    <set name='TypeGuard'>TRUE</set>
    <set name='ConformantMode'>FALSE</set>  <!-- not supported -->
  </pragmas>

  <repositories>
    <file-system>/usr/pkg/lib/oo2c</file-system>
    <file-system>.</file-system>
  </repositories>
</configuration>

